<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module class_x</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong>class_x</strong></big></big></font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:c%3A%5Cusers%5Cvtamimo%5Cdocuments%5Cformation%20software%20engineering%20for%20railway%5Cformation-python%5Cclass_x.py">c:\users\vtamimo\documents\formation software engineering for railway\formation-python\class_x.py</a></font></td></tr></table>
    <p><tt>Module&nbsp;de&nbsp;test&nbsp;des&nbsp;multiples&nbsp;classes</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial"><a href="builtins.html#object">builtins.object</a>
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="class_x.html#Capteur">Capteur</a>
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="class_x.html#DoubleCapteur">DoubleCapteur</a>
</font></dt></dl>
</dd>
</dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="Capteur">class <strong>Capteur</strong></a>(<a href="builtins.html#object">builtins.object</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#Capteur">Capteur</a>(nom='',&nbsp;min=0,&nbsp;valeur=0,&nbsp;max=100)<br>
&nbsp;<br>
Exemple&nbsp;de&nbsp;classe&nbsp;complete<br>
Avec&nbsp;constructeur,&nbsp;methode&nbsp;et&nbsp;meme&nbsp;surcharge&nbsp;d'operateur<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%">Methods defined here:<br>
<dl><dt><a name="Capteur-__init__"><strong>__init__</strong></a>(self, nom='', min=0, valeur=0, max=100)</dt><dd><tt>Constructeur<br>
self&nbsp;:&nbsp;objet&nbsp;en&nbsp;cours<br>
nom&nbsp;:&nbsp;nom&nbsp;du&nbsp;capteur</tt></dd></dl>

<dl><dt><a name="Capteur-__mul__"><strong>__mul__</strong></a>(self, x)</dt><dd><tt>#&nbsp;permettre&nbsp;<a href="#Capteur">Capteur</a>*3&nbsp;et&nbsp;<a href="#Capteur">Capteur</a>/3<br>
#&nbsp;(modifier&nbsp;tous&nbsp;les&nbsp;attributs)&nbsp;-&nbsp;"mul"&nbsp;et&nbsp;"truediv"</tt></dd></dl>

<dl><dt><a name="Capteur-__truediv__"><strong>__truediv__</strong></a>(self, x)</dt></dl>

<dl><dt><a name="Capteur-afficher"><strong>afficher</strong></a>(self)</dt><dd><tt>#&nbsp;Creer&nbsp;une&nbsp;methode&nbsp;qui&nbsp;affiche&nbsp;le&nbsp;capteur&nbsp;sous&nbsp;la&nbsp;forme&nbsp;d'une&nbsp;jauge&nbsp;à&nbsp;10<br>
#&nbsp;caracteres&nbsp;de&nbsp;la&nbsp;facon&nbsp;suivante&nbsp;:&nbsp;"capteur&nbsp;8&nbsp;|#######---|</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="DoubleCapteur">class <strong>DoubleCapteur</strong></a>(<a href="class_x.html#Capteur">Capteur</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#DoubleCapteur">DoubleCapteur</a>(nom='',&nbsp;min=0,&nbsp;valeur=0,&nbsp;valeur2=1,&nbsp;max=100)<br>
&nbsp;<br>
Classe&nbsp;fille<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="class_x.html#DoubleCapteur">DoubleCapteur</a></dd>
<dd><a href="class_x.html#Capteur">Capteur</a></dd>
<dd><a href="builtins.html#object">builtins.object</a></dd>
</dl>
<hr>
Methods defined here:<br>
<dl><dt><a name="DoubleCapteur-__init__"><strong>__init__</strong></a>(self, nom='', min=0, valeur=0, valeur2=1, max=100)</dt><dd><tt>Constructeur<br>
self&nbsp;:&nbsp;objet&nbsp;en&nbsp;cours<br>
nom&nbsp;:&nbsp;nom&nbsp;du&nbsp;capteur</tt></dd></dl>

<dl><dt><a name="DoubleCapteur-__mul__"><strong>__mul__</strong></a>(self, x)</dt></dl>

<dl><dt><a name="DoubleCapteur-afficher"><strong>afficher</strong></a>(self)</dt></dl>

<hr>
Methods inherited from <a href="class_x.html#Capteur">Capteur</a>:<br>
<dl><dt><a name="DoubleCapteur-__truediv__"><strong>__truediv__</strong></a>(self, x)</dt></dl>

<hr>
Data descriptors inherited from <a href="class_x.html#Capteur">Capteur</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
</td></tr></table></td></tr></table>
</body></html>